发新帖

从15.8到15.11,显示分辨率的问题一直无解

deepfan2018 / 2019-9-20 15:33
浏览: 490 / 回复: 7
查看: 490|回复: 8

从15.8到15.11,显示分辨率的问题一直无解

[复制链接]
收藏
跳转到指定楼层
从15.8开始尝试安装使用deepin操作系统,直到如今的15.11,一个最大的问题就是显示分辨率无法适配。打开尝试显卡管理器,发现能正确识别我的显卡。但就是只能选择“1024x768”的分辨率,没有其它分辨率的选项。不知各路大神有没有碰到类似问题,如何解决?
无标题.png

评分

参与人数 1贡献 +3 收起 理由
pingpp00 + 3

查看全部评分

3

主题

16

帖子

77

积分

-r--------

Rank: 1

积分
77
deepfan2018 发表于 2019-9-26 14:58:00 | 显示全部楼层
既然没人来解决,还是自己动手,丰衣足食吧。查阅了网络上的大量资料,用编辑器写了一段代码:
#!/bin/bash
cvt 1440 900
xrandr --newmode "1440x900_60.00"  106.50  1440 1528 1672 1904  900 903 909 934 -hsync +vsync
xrandr --addmode DVI-0 "1440x900_60.00"
xrandr --output DVI-0 --mode "1440x900_60.00"
将上述代码保存为rc.local
记住保存的路径。我是保存在“/etc/”下面。

然后再用编辑器编写一段代码:
[Desktop Entry]
Type=Application
Name=com.deepin.deepinfixel
Exec=/etc/rc.local        (这个就是刚才保存的rc.local的路径和文件名)
TryExec=/etc/rc.local    (同上)
NoDisplay=true
再将这段代码保存到“/etc/xdg/autostart/”里,命名为“com.deepin.deepinfixel.desktop”

关机,重启,OK,分辨率变为1440*900了。

有同样问题的网友可以试试,只需将1440和900改成自己的分辨率就OK了。

点评

保存为rc.local是没必要的, 这个脚本也不是照抄就行,要根据自己的显示器,参考https://blog.ghostry.cn/doc/docs/ubuntu/ubuntu-1bk4bolq7tc8q  发表于 2019-11-15 10:18

0

主题

1

帖子

8

积分

-r--------

Rank: 1

积分
8
ycqwyf 发表于 2019-11-14 15:47:36 | 显示全部楼层
deepfan2018 发表于 2019-9-26 14:58
既然没人来解决,还是自己动手,丰衣足食吧。查阅了网络上的大量资料,用编辑器写了一段代码:
#!/bin/bash ...

非常感谢,按照您 的方法成功了。

1

主题

5

帖子

43

积分

-r--------

Rank: 1

积分
43
deady2019 发表于 2019-11-14 19:06:51 来自移动端 | 显示全部楼层
按照你的方法还是不行,我是要放弃了吗?我很喜欢这个系度的啊,怎么办

18

主题

65

帖子

551

积分

-r--r--r--

Rank: 3Rank: 3

积分
551
jade_li 发表于 2019-11-14 19:22:52 | 显示全部楼层
deady2019 发表于 2019-11-14 19:06
按照你的方法还是不行,我是要放弃了吗?我很喜欢这个系度的啊,怎么办

很简单,换个电脑。现在好多电脑就有很好的支持。

1

主题

25

帖子

65

积分

-r--------

Rank: 1

积分
65
inzaghi-9 发表于 2019-11-14 21:14:44 | 显示全部楼层
我的老机器好像没问题,三个分辨率可以选择,默认选择的就是最高的那个,效果还不过

1

主题

5

帖子

43

积分

-r--------

Rank: 1

积分
43
deady2019 发表于 2019-11-15 07:53:33 来自移动端 | 显示全部楼层
jade_li 发表于 2019-11-14 19:22
很简单,换个电脑。现在好多电脑就有很好的支持。

双十一刚买的电脑啊

7

主题

43

帖子

178

积分

-r--------

Rank: 1

积分
178
jason2019 发表于 2019-11-15 08:00:58 | 显示全部楼层
deady2019 发表于 2019-11-15 07:53
双十一刚买的电脑啊

deepin 内核太旧了,对新机器支持不好。等等v20把,希望升级下内核
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部